<template>
  <InfoBox
    subtitle="Ausschüttungen pro Aktie"
    title="Dividendenkalender"
  >
    <table class="w-full table-auto border-collapse">
      <tbody>
        <tr v-for="(item, index) in dividendList" :key="index">
          <td :class="{ 'pb-2': index < dividendList.length - 1 }">
            {{ item.companyName }}
          </td>
          <td class="text-right">
            {{ item.date | date }}
          </td>
          <td class="text-right">
            {{ item.dividendAmount | currency(item.dividendCurrency) }}
          </td>
        </tr>
      </tbody>
    </table>
  </InfoBox>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

export default Vue.extend({
  computed: {
    ...mapState({
      dividendList: (state: any) => state.dividendCalendar
    })
  }
});
</script>
